Package Details: rutorrent-git r2617.1f15836b-1

Git Clone URL: https://aur.archlinux.org/rutorrent-git.git (read-only, click to copy)
Package Base: rutorrent-git
Description: Web frontend to rTorrent in PHP designed to resemble uTorrent
Upstream URL: https://github.com/Novik/ruTorrent
Keywords: rtorrent torrent webui
Licenses: GPL
Conflicts: rutorrent, rutorrent-plugins
Provides: rutorrent, rutorrent-plugins
Submitter: skydrome
Maintainer: pizzaman
Last Packager: pizzaman
Votes: 28
Popularity: 0.000001
First Submitted: 2014-09-04 00:02
Last Updated: 2020-03-31 12:29

Dependencies (10)

Required by (2)

Sources (10)

Latest Comments

1 2 3 4 5 6 Next › Last »

tuxayo commented on 2020-05-15 16:57

Saluton, hola, bonjour, hi! :)

@hv15 @pizzaman Thanks for the info can't retry for now I hope at some point I'll be able to.

grawlinson commented on 2020-04-20 22:23

Can this please be reverted to a vanilla -git package, and have the additions available as optdepends?

hv15 commented on 2020-03-31 14:05

@tuzayo I have 0.9.8-1 rutorrent, and r2536.d9026887-1 rutorrent-git. I looks like I'm a bit behind. I'll update later today.

pizzaman commented on 2020-03-31 13:10

@tuxayo rtorrent 0.9.8-1 rutorrent-git r2617.1f15836b-1

tuxayo commented on 2020-03-31 12:58

@hv15 Thanks, that gives hope :)

The UI says

Bad response from server: (500 [error,list]) Warning: XMLRPC call is failed.

RPC calls get to rtorrent but it results in

Method 'd.multicall' not defined

Which versions of rtorrent and rutorrent do you have?

I have rtorrent 0.9.7-2

And latest rutorrent-git

pizzaman commented on 2020-03-31 12:31

@hv15 Fixed the .htaccess problem. I will tackle permission later.

hv15 commented on 2020-03-31 12:22

@tuxayo works for me, what problem are you experiencing?

tuxayo commented on 2020-03-31 12:20

Can someone confirm that this package still works?

I'm not sure if it's rtorrent that isn't compatible anymore or if it's my Nginx setup that broke for some reason.

hv15 commented on 2019-12-22 14:04

@pizzaman I'm getting the following when upgrading:

(252/267) upgrading rutorrent-git                                                                                         [#########################################################################] 100%
warning: directory permissions differ on /usr/share/webapps/rutorrent/conf/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/settings/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/torrents/
filesystem: 777  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/share/users/
filesystem: 750  package: 755
warning: directory permissions differ on /usr/share/webapps/rutorrent/tmp/
filesystem: 777  package: 755
chmod: cannot access '.htaccess': No such file or directory
error: command failed to execute correctly

Why do you perform chmod in the install script? As far as I can understand, all directories/files a present in the package, can't you set the permissions during packaging?

pizzaman commented on 2019-04-07 20:50

@webslave Added as optdepends